<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/grey_background"
    android:orientation="vertical"
    android:padding="@dimen/custom_margin3dp"
    app:layout_behavior="@string/appbar_scrolling_view_behavior">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="@dimen/hieght_130dp"
        app:cardBackgroundColor="@color/bright_red"
        app:cardCornerRadius="@dimen/custom_margin"
        app:cardElevation="@dimen/custom_margin2dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/transparent"
            android:orientation="horizontal"
            android:weightSum="10">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="5.5"
                android:gravity="center"
                android:orientation="vertical">

                <com.cpm.lorealbaautomation.constant.RoundedImageView
                    android:id="@+id/round_img_pic"
                    android:layout_width="@dimen/hieght_130dp"
                    android:layout_height="@dimen/hieght_130dp"
                    android:layout_centerInParent="true"
                    android:layout_gravity="center"
                    android:visibility="visible"
                    android:layout_margin="@dimen/custom_margin"
                    android:adjustViewBounds="true"
                    android:src="@mipmap/profile_image" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="4.5"
                android:gravity="center_vertical"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/profile_user"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:gravity="center_vertical"
                    android:text="Test"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_normal"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/profile_user_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/padding_10dp"
                    android:gravity="center_vertical"
                    android:text="Beauty Advisor"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_small"
                    android:textStyle="normal" />

            </LinearLayout>
        </LinearLayout>
    </androidx.cardview.widget.CardView>


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="?actionBarSize">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="center_vertical"
                android:padding="@dimen/custom_margin"
                android:text="Personal Details"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_medium" />

            <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:padding="@dimen/custom_margin3dp"
                card_view:cardBackgroundColor="@color/white"
                card_view:cardCornerRadius="@dimen/custom_margin2dp"
                card_view:cardElevation="@dimen/custom_margin3dp">

                <LinearLayout
                    android:id="@+id/storePlayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/custom_margin"
                    android:background="@drawable/edit_text_border"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="5dip"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/employee_code"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_employee_code"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@color/gray"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:maxLines="2"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/full_name"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_full_name"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@color/gray"
                            android:enabled="false"
                            android:inputType="text"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/supervisor_name"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/supervisor_name"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="@dimen/custom_margin3dp"
                            android:layout_weight="6"
                            android:background="@color/gray"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="10dp"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/mobile_no"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_mobile_no"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edittaxt"
                            android:enabled="false"
                            android:inputType="number"
                            android:maxLength="12"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="Date Of Birth"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <TextView
                            android:id="@+id/storeProfile_dob"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="3dp"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:inputType="text"
                            android:padding="@dimen/custom_margin"
                            android:text=""
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <ImageView
                            android:id="@+id/img_dob"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginLeft="1.6dp"
                            android:layout_marginRight="1.6dp"
                            android:layout_weight="2"
                            android:src="@mipmap/calender" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/custom_layout_margin_50"
                        android:layout_marginTop="@dimen/padding_10dp"
                        android:layout_marginRight="@dimen/custom_layout_margin_50"
                        android:layout_marginBottom="@dimen/padding_10dp"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <RadioGroup
                            android:id="@+id/radioGrp"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:clickable="false"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <RadioButton
                                android:id="@+id/radioF"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="right"
                                android:layout_weight="1"
                                android:buttonTint="@color/colorPrimary"
                                android:checked="true"
                                android:clickable="false"
                                android:text="Female"
                                android:textSize="@dimen/text_14sp" />

                            <RadioButton
                                android:id="@+id/radioM"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="left"
                                android:layout_weight="1"
                                android:buttonTint="@color/colorPrimary"
                                android:checked="false"
                                android:clickable="false"
                                android:text="Male"
                                android:textSize="@dimen/text_14sp" />

                            <RadioButton
                                android:id="@+id/radio_other"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="right"
                                android:layout_weight="1"
                                android:buttonTint="@color/colorPrimary"
                                android:checked="false"
                                android:clickable="false"
                                android:text="Other"
                                android:textSize="@dimen/text_14sp" />
                        </RadioGroup>


                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/address"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_address"
                            android:layout_width="0dp"
                            android:layout_height="100dp"
                            android:layout_gravity="start|top"
                            android:layout_marginEnd="3dp"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edittaxt"
                            android:gravity="start|top"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/landmark"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_landmark"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edittaxt"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/location"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_location"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edittaxt"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/city"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_city"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@color/gray"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/email_address"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_email"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edittaxt"
                            android:gravity="center_vertical"
                            android:inputType="textEmailAddress"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/instagram_address"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_enstagram_address"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edittaxt"
                            android:gravity="center_vertical"
                            android:inputType="textEmailAddress"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="center_vertical"
                android:padding="@dimen/custom_margin"
                android:text="Employee Details"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_medium" />

            <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:padding="@dimen/custom_margin3dp"
                card_view:cardBackgroundColor="@color/white"
                card_view:cardCornerRadius="@dimen/custom_margin2dp"
                card_view:cardElevation="@dimen/custom_margin3dp">

                <LinearLayout

                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/custom_margin"
                    android:background="@drawable/edit_text_border"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/brand"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_brand"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_vertical"
                            android:layout_marginRight="3dp"
                            android:layout_weight="6"
                            android:background="@color/gray"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:inputType="text"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/counter_teiring"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_counter"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginEnd="3dp"
                            android:layout_weight="6"
                            android:background="@color/gray"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/store_name"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_store_name"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginEnd="3dp"
                            android:layout_weight="6"
                            android:background="@color/gray"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:inputType="text"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="15dp"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/current_bp_grade"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />

                        <EditText
                            android:id="@+id/edt_current_bp"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginEnd="3dp"
                            android:layout_weight="6"
                            android:background="@color/gray"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <com.cpm.lorealbaautomation.utils.NonScrollExpandableListView
                android:id="@+id/list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:cacheColorHint="#00000000"
                android:divider="@null"
                android:dividerHeight="@dimen/margin1dp"
                android:scrollingCache="false" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>
